VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsNetworkPlayer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private m_sName As String
Private m_sVersion As String
Private m_sIP As String
Private m_nPort As Long
Private m_nNumber As Long
Private m_bHost As Boolean
Private m_sPartialMessage As String
Private m_bDeleted As Boolean

Private m_oTag As Object

Public Property Get Tag() As Object
    Set Tag = m_oTag
End Property
Public Property Let Tag(oNewVal As Object)
    Set m_oTag = oNewVal
End Property

Public Property Get Deleted() As Boolean
    Deleted = m_bDeleted
End Property
Public Property Let Deleted(bNewVal As Boolean)
    m_bDeleted = bNewVal
End Property

Public Property Get PartialMessage() As String
    PartialMessage = m_sPartialMessage
End Property
Public Property Let PartialMessage(sNewVal As String)
    m_sPartialMessage = sNewVal
End Property

Public Property Get Host() As Boolean
    Host = m_bHost
End Property
Public Property Let Host(bNewVal As Boolean)
    m_bHost = bNewVal
End Property

Public Property Get Number() As Long
    Number = m_nNumber
End Property
Public Property Let Number(nNewVal As Long)
    m_nNumber = nNewVal
End Property

Public Property Get Port() As Long
    Port = m_nPort
End Property
Public Property Let Port(nNewVal As Long)
    m_nPort = nNewVal
End Property

Public Property Get IP() As String
    IP = m_sIP
End Property
Public Property Let IP(sNewVal As String)
    m_sIP = sNewVal
End Property

Public Property Get Name() As String
    Name = m_sName
End Property
Public Property Let Name(sNewVal As String)
    m_sName = sNewVal
End Property

'Get the persons adjusted name
Public Function PlayerName() As String

    'Store the location of the begginging of the name
    If m_nNumber < 10 Then
        PlayerName = " " & m_nNumber & ".)  " & m_sName
    Else
        PlayerName = m_nNumber & ".)  " & m_sName
    End If
            
End Function

Public Property Get Version() As String
    Version = m_sVersion
End Property
Public Property Let Version(sNewVal As String)
    m_sVersion = sNewVal
End Property
